<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - lcov.info - lib/models/feature_collection.dart</title>
  <link rel="stylesheet" type="text/css" href="../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../index.html">top level</a> - <a href="index.html">lib/models</a> - feature_collection.dart<span style="font-size: 80%;"> (source / <a href="feature_collection.dart.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">lcov.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">34</td>
            <td class="headerCovTableEntry">106</td>
            <td class="headerCovTableEntryLo">32.1 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2021-02-04 11:27:27</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntryHi">-</td>
          </tr>
          <tr><td><img src="../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : // To parse this JSON data, do</a>
<a name="2"><span class="lineNum">       2 </span>            : //</a>
<a name="3"><span class="lineNum">       3 </span>            : //     final featureCollection = featureCollectionFromMap(jsonString);</a>
<a name="4"><span class="lineNum">       4 </span>            : </a>
<a name="5"><span class="lineNum">       5 </span>            : import 'dart:convert';</a>
<a name="6"><span class="lineNum">       6 </span>            : </a>
<a name="7"><span class="lineNum">       7 </span>            : class FeatureCollection {</a>
<a name="8"><span class="lineNum">       8 </span><span class="lineCov">          1 :   FeatureCollection({</span></a>
<a name="9"><span class="lineNum">       9 </span>            :     this.type,</a>
<a name="10"><span class="lineNum">      10 </span>            :     this.version,</a>
<a name="11"><span class="lineNum">      11 </span>            :     this.features,</a>
<a name="12"><span class="lineNum">      12 </span>            :     this.attribution,</a>
<a name="13"><span class="lineNum">      13 </span>            :     this.licence,</a>
<a name="14"><span class="lineNum">      14 </span>            :     this.query,</a>
<a name="15"><span class="lineNum">      15 </span>            :     this.limit,</a>
<a name="16"><span class="lineNum">      16 </span>            :   });</a>
<a name="17"><span class="lineNum">      17 </span>            : </a>
<a name="18"><span class="lineNum">      18 </span>            :   final String type;</a>
<a name="19"><span class="lineNum">      19 </span>            :   final String version;</a>
<a name="20"><span class="lineNum">      20 </span>            :   final List&lt;Feature&gt; features;</a>
<a name="21"><span class="lineNum">      21 </span>            :   final String attribution;</a>
<a name="22"><span class="lineNum">      22 </span>            :   final String licence;</a>
<a name="23"><span class="lineNum">      23 </span>            :   final String query;</a>
<a name="24"><span class="lineNum">      24 </span>            :   final int limit;</a>
<a name="25"><span class="lineNum">      25 </span>            : </a>
<a name="26"><span class="lineNum">      26 </span><span class="lineNoCov">          0 :   FeatureCollection copyWith({</span></a>
<a name="27"><span class="lineNum">      27 </span>            :     String type,</a>
<a name="28"><span class="lineNum">      28 </span>            :     String version,</a>
<a name="29"><span class="lineNum">      29 </span>            :     List&lt;Feature&gt; features,</a>
<a name="30"><span class="lineNum">      30 </span>            :     String attribution,</a>
<a name="31"><span class="lineNum">      31 </span>            :     String licence,</a>
<a name="32"><span class="lineNum">      32 </span>            :     String query,</a>
<a name="33"><span class="lineNum">      33 </span>            :     int limit,</a>
<a name="34"><span class="lineNum">      34 </span>            :   }) =&gt;</a>
<a name="35"><span class="lineNum">      35 </span><span class="lineNoCov">          0 :       FeatureCollection(</span></a>
<a name="36"><span class="lineNum">      36 </span><span class="lineNoCov">          0 :         type: type ?? this.type,</span></a>
<a name="37"><span class="lineNum">      37 </span><span class="lineNoCov">          0 :         version: version ?? this.version,</span></a>
<a name="38"><span class="lineNum">      38 </span><span class="lineNoCov">          0 :         features: features ?? this.features,</span></a>
<a name="39"><span class="lineNum">      39 </span><span class="lineNoCov">          0 :         attribution: attribution ?? this.attribution,</span></a>
<a name="40"><span class="lineNum">      40 </span><span class="lineNoCov">          0 :         licence: licence ?? this.licence,</span></a>
<a name="41"><span class="lineNum">      41 </span><span class="lineNoCov">          0 :         query: query ?? this.query,</span></a>
<a name="42"><span class="lineNum">      42 </span><span class="lineNoCov">          0 :         limit: limit ?? this.limit,</span></a>
<a name="43"><span class="lineNum">      43 </span>            :       );</a>
<a name="44"><span class="lineNum">      44 </span>            : </a>
<a name="45"><span class="lineNum">      45 </span><span class="lineNoCov">          0 :   factory FeatureCollection.fromJson(String str) =&gt; FeatureCollection.fromMap(json.decode(str));</span></a>
<a name="46"><span class="lineNum">      46 </span>            : </a>
<a name="47"><span class="lineNum">      47 </span><span class="lineNoCov">          0 :   String toJson() =&gt; json.encode(toMap());</span></a>
<a name="48"><span class="lineNum">      48 </span>            : </a>
<a name="49"><span class="lineNum">      49 </span><span class="lineCov">          2 :   factory FeatureCollection.fromMap(Map&lt;String, dynamic&gt; json) =&gt; FeatureCollection(</span></a>
<a name="50"><span class="lineNum">      50 </span><span class="lineCov">          1 :         type: json[&quot;type&quot;],</span></a>
<a name="51"><span class="lineNum">      51 </span><span class="lineCov">          1 :         version: json[&quot;version&quot;],</span></a>
<a name="52"><span class="lineNum">      52 </span><span class="lineCov">          5 :         features: List&lt;Feature&gt;.from(json[&quot;features&quot;].map((x) =&gt; Feature.fromMap(x))),</span></a>
<a name="53"><span class="lineNum">      53 </span><span class="lineCov">          1 :         attribution: json[&quot;attribution&quot;],</span></a>
<a name="54"><span class="lineNum">      54 </span><span class="lineCov">          1 :         licence: json[&quot;licence&quot;],</span></a>
<a name="55"><span class="lineNum">      55 </span><span class="lineCov">          1 :         query: json[&quot;query&quot;],</span></a>
<a name="56"><span class="lineNum">      56 </span><span class="lineCov">          1 :         limit: json[&quot;limit&quot;],</span></a>
<a name="57"><span class="lineNum">      57 </span>            :       );</a>
<a name="58"><span class="lineNum">      58 </span>            : </a>
<a name="59"><span class="lineNum">      59 </span><span class="lineNoCov">          0 :   Map&lt;String, dynamic&gt; toMap() =&gt; {</span></a>
<a name="60"><span class="lineNum">      60 </span><span class="lineNoCov">          0 :         &quot;type&quot;: type,</span></a>
<a name="61"><span class="lineNum">      61 </span><span class="lineNoCov">          0 :         &quot;version&quot;: version,</span></a>
<a name="62"><span class="lineNum">      62 </span><span class="lineNoCov">          0 :         &quot;features&quot;: List&lt;dynamic&gt;.from(features.map((x) =&gt; x.toMap())),</span></a>
<a name="63"><span class="lineNum">      63 </span><span class="lineNoCov">          0 :         &quot;attribution&quot;: attribution,</span></a>
<a name="64"><span class="lineNum">      64 </span><span class="lineNoCov">          0 :         &quot;licence&quot;: licence,</span></a>
<a name="65"><span class="lineNum">      65 </span><span class="lineNoCov">          0 :         &quot;query&quot;: query,</span></a>
<a name="66"><span class="lineNum">      66 </span><span class="lineNoCov">          0 :         &quot;limit&quot;: limit,</span></a>
<a name="67"><span class="lineNum">      67 </span>            :       };</a>
<a name="68"><span class="lineNum">      68 </span>            : }</a>
<a name="69"><span class="lineNum">      69 </span>            : </a>
<a name="70"><span class="lineNum">      70 </span>            : class Feature {</a>
<a name="71"><span class="lineNum">      71 </span><span class="lineCov">          1 :   Feature({</span></a>
<a name="72"><span class="lineNum">      72 </span>            :     this.type,</a>
<a name="73"><span class="lineNum">      73 </span>            :     this.geometry,</a>
<a name="74"><span class="lineNum">      74 </span>            :     this.properties,</a>
<a name="75"><span class="lineNum">      75 </span>            :   });</a>
<a name="76"><span class="lineNum">      76 </span>            : </a>
<a name="77"><span class="lineNum">      77 </span>            :   final String type;</a>
<a name="78"><span class="lineNum">      78 </span>            :   final Geometry geometry;</a>
<a name="79"><span class="lineNum">      79 </span>            :   final Properties properties;</a>
<a name="80"><span class="lineNum">      80 </span>            : </a>
<a name="81"><span class="lineNum">      81 </span><span class="lineNoCov">          0 :   Feature copyWith({</span></a>
<a name="82"><span class="lineNum">      82 </span>            :     String type,</a>
<a name="83"><span class="lineNum">      83 </span>            :     Geometry geometry,</a>
<a name="84"><span class="lineNum">      84 </span>            :     Properties properties,</a>
<a name="85"><span class="lineNum">      85 </span>            :   }) =&gt;</a>
<a name="86"><span class="lineNum">      86 </span><span class="lineNoCov">          0 :       Feature(</span></a>
<a name="87"><span class="lineNum">      87 </span><span class="lineNoCov">          0 :         type: type ?? this.type,</span></a>
<a name="88"><span class="lineNum">      88 </span><span class="lineNoCov">          0 :         geometry: geometry ?? this.geometry,</span></a>
<a name="89"><span class="lineNum">      89 </span><span class="lineNoCov">          0 :         properties: properties ?? this.properties,</span></a>
<a name="90"><span class="lineNum">      90 </span>            :       );</a>
<a name="91"><span class="lineNum">      91 </span>            : </a>
<a name="92"><span class="lineNum">      92 </span><span class="lineNoCov">          0 :   factory Feature.fromJson(String str) =&gt; Feature.fromMap(json.decode(str));</span></a>
<a name="93"><span class="lineNum">      93 </span>            : </a>
<a name="94"><span class="lineNum">      94 </span><span class="lineNoCov">          0 :   String toJson() =&gt; json.encode(toMap());</span></a>
<a name="95"><span class="lineNum">      95 </span>            : </a>
<a name="96"><span class="lineNum">      96 </span><span class="lineCov">          2 :   factory Feature.fromMap(Map&lt;String, dynamic&gt; json) =&gt; Feature(</span></a>
<a name="97"><span class="lineNum">      97 </span><span class="lineCov">          1 :         type: json[&quot;type&quot;],</span></a>
<a name="98"><span class="lineNum">      98 </span><span class="lineCov">          2 :         geometry: Geometry.fromMap(json[&quot;geometry&quot;]),</span></a>
<a name="99"><span class="lineNum">      99 </span><span class="lineCov">          2 :         properties: Properties.fromMap(json[&quot;properties&quot;]),</span></a>
<a name="100"><span class="lineNum">     100 </span>            :       );</a>
<a name="101"><span class="lineNum">     101 </span>            : </a>
<a name="102"><span class="lineNum">     102 </span><span class="lineNoCov">          0 :   Map&lt;String, dynamic&gt; toMap() =&gt; {</span></a>
<a name="103"><span class="lineNum">     103 </span><span class="lineNoCov">          0 :         &quot;type&quot;: type,</span></a>
<a name="104"><span class="lineNum">     104 </span><span class="lineNoCov">          0 :         &quot;geometry&quot;: geometry.toMap(),</span></a>
<a name="105"><span class="lineNum">     105 </span><span class="lineNoCov">          0 :         &quot;properties&quot;: properties.toMap(),</span></a>
<a name="106"><span class="lineNum">     106 </span>            :       };</a>
<a name="107"><span class="lineNum">     107 </span>            : }</a>
<a name="108"><span class="lineNum">     108 </span>            : </a>
<a name="109"><span class="lineNum">     109 </span>            : class Geometry {</a>
<a name="110"><span class="lineNum">     110 </span><span class="lineCov">          1 :   Geometry({</span></a>
<a name="111"><span class="lineNum">     111 </span>            :     this.type,</a>
<a name="112"><span class="lineNum">     112 </span>            :     this.coordinates,</a>
<a name="113"><span class="lineNum">     113 </span>            :   });</a>
<a name="114"><span class="lineNum">     114 </span>            : </a>
<a name="115"><span class="lineNum">     115 </span>            :   final String type;</a>
<a name="116"><span class="lineNum">     116 </span>            :   final List&lt;double&gt; coordinates;</a>
<a name="117"><span class="lineNum">     117 </span>            : </a>
<a name="118"><span class="lineNum">     118 </span><span class="lineNoCov">          0 :   Geometry copyWith({</span></a>
<a name="119"><span class="lineNum">     119 </span>            :     String type,</a>
<a name="120"><span class="lineNum">     120 </span>            :     List&lt;double&gt; coordinates,</a>
<a name="121"><span class="lineNum">     121 </span>            :   }) =&gt;</a>
<a name="122"><span class="lineNum">     122 </span><span class="lineNoCov">          0 :       Geometry(</span></a>
<a name="123"><span class="lineNum">     123 </span><span class="lineNoCov">          0 :         type: type ?? this.type,</span></a>
<a name="124"><span class="lineNum">     124 </span><span class="lineNoCov">          0 :         coordinates: coordinates ?? this.coordinates,</span></a>
<a name="125"><span class="lineNum">     125 </span>            :       );</a>
<a name="126"><span class="lineNum">     126 </span>            : </a>
<a name="127"><span class="lineNum">     127 </span><span class="lineNoCov">          0 :   factory Geometry.fromJson(String str) =&gt; Geometry.fromMap(json.decode(str));</span></a>
<a name="128"><span class="lineNum">     128 </span>            : </a>
<a name="129"><span class="lineNum">     129 </span><span class="lineNoCov">          0 :   String toJson() =&gt; json.encode(toMap());</span></a>
<a name="130"><span class="lineNum">     130 </span>            : </a>
<a name="131"><span class="lineNum">     131 </span><span class="lineCov">          2 :   factory Geometry.fromMap(Map&lt;String, dynamic&gt; json) =&gt; Geometry(</span></a>
<a name="132"><span class="lineNum">     132 </span><span class="lineCov">          1 :         type: json[&quot;type&quot;],</span></a>
<a name="133"><span class="lineNum">     133 </span><span class="lineCov">          5 :         coordinates: List&lt;double&gt;.from(json[&quot;coordinates&quot;].map((x) =&gt; x.toDouble())),</span></a>
<a name="134"><span class="lineNum">     134 </span>            :       );</a>
<a name="135"><span class="lineNum">     135 </span>            : </a>
<a name="136"><span class="lineNum">     136 </span><span class="lineNoCov">          0 :   Map&lt;String, dynamic&gt; toMap() =&gt; {</span></a>
<a name="137"><span class="lineNum">     137 </span><span class="lineNoCov">          0 :         &quot;type&quot;: type,</span></a>
<a name="138"><span class="lineNum">     138 </span><span class="lineNoCov">          0 :         &quot;coordinates&quot;: List&lt;dynamic&gt;.from(coordinates.map((x) =&gt; x)),</span></a>
<a name="139"><span class="lineNum">     139 </span>            :       };</a>
<a name="140"><span class="lineNum">     140 </span>            : }</a>
<a name="141"><span class="lineNum">     141 </span>            : </a>
<a name="142"><span class="lineNum">     142 </span>            : class Properties {</a>
<a name="143"><span class="lineNum">     143 </span><span class="lineCov">          1 :   Properties({</span></a>
<a name="144"><span class="lineNum">     144 </span>            :     this.label,</a>
<a name="145"><span class="lineNum">     145 </span>            :     this.score,</a>
<a name="146"><span class="lineNum">     146 </span>            :     this.housenumber,</a>
<a name="147"><span class="lineNum">     147 </span>            :     this.id,</a>
<a name="148"><span class="lineNum">     148 </span>            :     this.type,</a>
<a name="149"><span class="lineNum">     149 </span>            :     this.name,</a>
<a name="150"><span class="lineNum">     150 </span>            :     this.postcode,</a>
<a name="151"><span class="lineNum">     151 </span>            :     this.citycode,</a>
<a name="152"><span class="lineNum">     152 </span>            :     this.x,</a>
<a name="153"><span class="lineNum">     153 </span>            :     this.y,</a>
<a name="154"><span class="lineNum">     154 </span>            :     this.city,</a>
<a name="155"><span class="lineNum">     155 </span>            :     this.context,</a>
<a name="156"><span class="lineNum">     156 </span>            :     this.importance,</a>
<a name="157"><span class="lineNum">     157 </span>            :     this.street,</a>
<a name="158"><span class="lineNum">     158 </span>            :   });</a>
<a name="159"><span class="lineNum">     159 </span>            : </a>
<a name="160"><span class="lineNum">     160 </span>            :   final String label;</a>
<a name="161"><span class="lineNum">     161 </span>            :   final double score;</a>
<a name="162"><span class="lineNum">     162 </span>            :   final String housenumber;</a>
<a name="163"><span class="lineNum">     163 </span>            :   final String id;</a>
<a name="164"><span class="lineNum">     164 </span>            :   final String type;</a>
<a name="165"><span class="lineNum">     165 </span>            :   final String name;</a>
<a name="166"><span class="lineNum">     166 </span>            :   final String postcode;</a>
<a name="167"><span class="lineNum">     167 </span>            :   final String citycode;</a>
<a name="168"><span class="lineNum">     168 </span>            :   final double x;</a>
<a name="169"><span class="lineNum">     169 </span>            :   final double y;</a>
<a name="170"><span class="lineNum">     170 </span>            :   final String city;</a>
<a name="171"><span class="lineNum">     171 </span>            :   final String context;</a>
<a name="172"><span class="lineNum">     172 </span>            :   final double importance;</a>
<a name="173"><span class="lineNum">     173 </span>            :   final String street;</a>
<a name="174"><span class="lineNum">     174 </span>            : </a>
<a name="175"><span class="lineNum">     175 </span><span class="lineNoCov">          0 :   Properties copyWith({</span></a>
<a name="176"><span class="lineNum">     176 </span>            :     String label,</a>
<a name="177"><span class="lineNum">     177 </span>            :     double score,</a>
<a name="178"><span class="lineNum">     178 </span>            :     String housenumber,</a>
<a name="179"><span class="lineNum">     179 </span>            :     String id,</a>
<a name="180"><span class="lineNum">     180 </span>            :     String type,</a>
<a name="181"><span class="lineNum">     181 </span>            :     String name,</a>
<a name="182"><span class="lineNum">     182 </span>            :     String postcode,</a>
<a name="183"><span class="lineNum">     183 </span>            :     String citycode,</a>
<a name="184"><span class="lineNum">     184 </span>            :     double x,</a>
<a name="185"><span class="lineNum">     185 </span>            :     double y,</a>
<a name="186"><span class="lineNum">     186 </span>            :     String city,</a>
<a name="187"><span class="lineNum">     187 </span>            :     String context,</a>
<a name="188"><span class="lineNum">     188 </span>            :     double importance,</a>
<a name="189"><span class="lineNum">     189 </span>            :     String street,</a>
<a name="190"><span class="lineNum">     190 </span>            :   }) =&gt;</a>
<a name="191"><span class="lineNum">     191 </span><span class="lineNoCov">          0 :       Properties(</span></a>
<a name="192"><span class="lineNum">     192 </span><span class="lineNoCov">          0 :         label: label ?? this.label,</span></a>
<a name="193"><span class="lineNum">     193 </span><span class="lineNoCov">          0 :         score: score ?? this.score,</span></a>
<a name="194"><span class="lineNum">     194 </span><span class="lineNoCov">          0 :         housenumber: housenumber ?? this.housenumber,</span></a>
<a name="195"><span class="lineNum">     195 </span><span class="lineNoCov">          0 :         id: id ?? this.id,</span></a>
<a name="196"><span class="lineNum">     196 </span><span class="lineNoCov">          0 :         type: type ?? this.type,</span></a>
<a name="197"><span class="lineNum">     197 </span><span class="lineNoCov">          0 :         name: name ?? this.name,</span></a>
<a name="198"><span class="lineNum">     198 </span><span class="lineNoCov">          0 :         postcode: postcode ?? this.postcode,</span></a>
<a name="199"><span class="lineNum">     199 </span><span class="lineNoCov">          0 :         citycode: citycode ?? this.citycode,</span></a>
<a name="200"><span class="lineNum">     200 </span><span class="lineNoCov">          0 :         x: x ?? this.x,</span></a>
<a name="201"><span class="lineNum">     201 </span><span class="lineNoCov">          0 :         y: y ?? this.y,</span></a>
<a name="202"><span class="lineNum">     202 </span><span class="lineNoCov">          0 :         city: city ?? this.city,</span></a>
<a name="203"><span class="lineNum">     203 </span><span class="lineNoCov">          0 :         context: context ?? this.context,</span></a>
<a name="204"><span class="lineNum">     204 </span><span class="lineNoCov">          0 :         importance: importance ?? this.importance,</span></a>
<a name="205"><span class="lineNum">     205 </span><span class="lineNoCov">          0 :         street: street ?? this.street,</span></a>
<a name="206"><span class="lineNum">     206 </span>            :       );</a>
<a name="207"><span class="lineNum">     207 </span>            : </a>
<a name="208"><span class="lineNum">     208 </span><span class="lineNoCov">          0 :   factory Properties.fromJson(String str) =&gt; Properties.fromMap(json.decode(str));</span></a>
<a name="209"><span class="lineNum">     209 </span>            : </a>
<a name="210"><span class="lineNum">     210 </span><span class="lineNoCov">          0 :   String toJson() =&gt; json.encode(toMap());</span></a>
<a name="211"><span class="lineNum">     211 </span>            : </a>
<a name="212"><span class="lineNum">     212 </span><span class="lineCov">          2 :   factory Properties.fromMap(Map&lt;String, dynamic&gt; json) =&gt; Properties(</span></a>
<a name="213"><span class="lineNum">     213 </span><span class="lineCov">          1 :         label: json[&quot;label&quot;],</span></a>
<a name="214"><span class="lineNum">     214 </span><span class="lineCov">          2 :         score: json[&quot;score&quot;].toDouble(),</span></a>
<a name="215"><span class="lineNum">     215 </span><span class="lineCov">          1 :         housenumber: json[&quot;housenumber&quot;],</span></a>
<a name="216"><span class="lineNum">     216 </span><span class="lineCov">          1 :         id: json[&quot;id&quot;],</span></a>
<a name="217"><span class="lineNum">     217 </span><span class="lineCov">          1 :         type: json[&quot;type&quot;],</span></a>
<a name="218"><span class="lineNum">     218 </span><span class="lineCov">          1 :         name: json[&quot;name&quot;],</span></a>
<a name="219"><span class="lineNum">     219 </span><span class="lineCov">          1 :         postcode: json[&quot;postcode&quot;],</span></a>
<a name="220"><span class="lineNum">     220 </span><span class="lineCov">          1 :         citycode: json[&quot;citycode&quot;],</span></a>
<a name="221"><span class="lineNum">     221 </span><span class="lineCov">          2 :         x: json[&quot;x&quot;].toDouble(),</span></a>
<a name="222"><span class="lineNum">     222 </span><span class="lineCov">          2 :         y: json[&quot;y&quot;].toDouble(),</span></a>
<a name="223"><span class="lineNum">     223 </span><span class="lineCov">          1 :         city: json[&quot;city&quot;],</span></a>
<a name="224"><span class="lineNum">     224 </span><span class="lineCov">          1 :         context: json[&quot;context&quot;],</span></a>
<a name="225"><span class="lineNum">     225 </span><span class="lineCov">          2 :         importance: json[&quot;importance&quot;].toDouble(),</span></a>
<a name="226"><span class="lineNum">     226 </span><span class="lineCov">          1 :         street: json[&quot;street&quot;],</span></a>
<a name="227"><span class="lineNum">     227 </span>            :       );</a>
<a name="228"><span class="lineNum">     228 </span>            : </a>
<a name="229"><span class="lineNum">     229 </span><span class="lineNoCov">          0 :   Map&lt;String, dynamic&gt; toMap() =&gt; {</span></a>
<a name="230"><span class="lineNum">     230 </span><span class="lineNoCov">          0 :         &quot;label&quot;: label,</span></a>
<a name="231"><span class="lineNum">     231 </span><span class="lineNoCov">          0 :         &quot;score&quot;: score,</span></a>
<a name="232"><span class="lineNum">     232 </span><span class="lineNoCov">          0 :         &quot;housenumber&quot;: housenumber,</span></a>
<a name="233"><span class="lineNum">     233 </span><span class="lineNoCov">          0 :         &quot;id&quot;: id,</span></a>
<a name="234"><span class="lineNum">     234 </span><span class="lineNoCov">          0 :         &quot;type&quot;: type,</span></a>
<a name="235"><span class="lineNum">     235 </span><span class="lineNoCov">          0 :         &quot;name&quot;: name,</span></a>
<a name="236"><span class="lineNum">     236 </span><span class="lineNoCov">          0 :         &quot;postcode&quot;: postcode,</span></a>
<a name="237"><span class="lineNum">     237 </span><span class="lineNoCov">          0 :         &quot;citycode&quot;: citycode,</span></a>
<a name="238"><span class="lineNum">     238 </span><span class="lineNoCov">          0 :         &quot;x&quot;: x,</span></a>
<a name="239"><span class="lineNum">     239 </span><span class="lineNoCov">          0 :         &quot;y&quot;: y,</span></a>
<a name="240"><span class="lineNum">     240 </span><span class="lineNoCov">          0 :         &quot;city&quot;: city,</span></a>
<a name="241"><span class="lineNum">     241 </span><span class="lineNoCov">          0 :         &quot;context&quot;: context,</span></a>
<a name="242"><span class="lineNum">     242 </span><span class="lineNoCov">          0 :         &quot;importance&quot;: importance,</span></a>
<a name="243"><span class="lineNum">     243 </span><span class="lineNoCov">          0 :         &quot;street&quot;: street,</span></a>
<a name="244"><span class="lineNum">     244 </span>            :       };</a>
<a name="245"><span class="lineNum">     245 </span>            : }</a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.15</a></td></tr>
  </table>
  <br>

</body>
</html>
